aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--Makefile.am1
-rwxr-xr-xmacosx-setup.sh9
-rw-r--r--macosx-support-lib-patches/glib-gconvert.patch10
3 files changed, 2 insertions, 18 deletions
diff --git a/Makefile.am b/Makefile.am
index 9e19f71775..596fad3148 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -857,7 +857,6 @@ EXTRA_DIST = \
image/wssplash.xpm \
ipmap.html \
macosx-setup.sh \
- macosx-support-lib-patches/glib-gconvert.patch \
macosx-support-lib-patches/glib-pkgconfig.patch \
macosx-support-lib-patches/gnutls-pkgconfig.patch \
make-version.pl \
diff --git a/macosx-setup.sh b/macosx-setup.sh
index 819eab74db..0d9d3c636d 100755
--- a/macosx-setup.sh
+++ b/macosx-setup.sh
@@ -18,7 +18,7 @@
# The following libraries are required.
#
GETTEXT_VERSION=0.18.1.1
-GLIB_VERSION=2.31.8
+GLIB_VERSION=2.31.20
#
# pkg-config 0.26 appears to have broken the "we have our own GLib"
# stuff, even if you explicitly set GLIB_CFLAGS and GLIB_LIBS.
@@ -176,12 +176,7 @@ cd glib-$GLIB_VERSION
# script doesn't try to use pkg-config to get the appropriate
# CFLAGS and LIBS.
#
-LIBFFI_CFLAGS="-I/usr/include/ffi" LIBFFI_LIBS="-L/usr/lib" ./configure || exit 1
-#
-# Mac OS X on 64-bit platforms provides libiconv, but in a form that
-# confuses GLib.
-#
-patch -p1 < ../../macosx-support-lib-patches/glib-gconvert.patch || exit 1
+LIBFFI_CFLAGS="-I/usr/include/ffi" LIBFFI_LIBS="-lffi" ./configure || exit 1
make -j 3 || exit 1
# Apply patch: we depend on libffi, but pkg-config doesn't get told.
patch -p0 <../../macosx-support-lib-patches/glib-pkgconfig.patch || exit 1
diff --git a/macosx-support-lib-patches/glib-gconvert.patch b/macosx-support-lib-patches/glib-gconvert.patch
deleted file mode 100644
index fb0aea73b3..0000000000
--- a/macosx-support-lib-patches/glib-gconvert.patch
+++ /dev/null
@@ -1,10 +0,0 @@
---- glib-2.29.8/glib/gconvert.c.orig 2011-06-26 14:48:37.000000000 +0200
-+++ glib-2.29.8/glib/gconvert.c 2011-06-26 14:49:58.000000000 +0200
-@@ -61,7 +61,7 @@
- #if defined(USE_LIBICONV_GNU) && !defined (_LIBICONV_H)
- #error GNU libiconv in use but included iconv.h not from libiconv
- #endif
--#if !defined(USE_LIBICONV_GNU) && defined (_LIBICONV_H)
-+#if !(defined(__APPLE__) && defined(__LP64__)) && !defined(USE_LIBICONV_GNU) && defined (_LIBICONV_H)
- #error GNU libiconv not in use but included iconv.h is from libiconv
- #endif